org.apache.poi.ss.usermodel.charts

## Enum LayoutTarget

- java.lang.Object
- - java.lang.Enum<LayoutTarget>
  - - org.apache.poi.ss.usermodel.charts.LayoutTarget

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LayoutTarget>

  Deprecated.
  use XDDF LayoutTarget instead

      @Deprecated
       @Removal(version="4.2")
      public enum LayoutTarget
      extends java.lang.Enum<LayoutTarget>

  Specifies whether to layout the plot area by its inside (not including axis and axis labels) or outside (including axis and axis labels).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER` Deprecated. Specifies that the plot area size shall determine the size of the plot area, not including the tick marks and axis labels.
    `OUTER` Deprecated. Specifies that the plot area size shall determine the size of the plot area, the tick marks, and the axis labels.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LayoutTarget` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static LayoutTarget[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INNER

          public static final LayoutTarget INNER

      Deprecated.
      Specifies that the plot area size shall determine the size of the plot area, not including the tick marks and axis labels.

    - #### OUTER

          public static final LayoutTarget OUTER

      Deprecated.
      Specifies that the plot area size shall determine the size of the plot area, the tick marks, and the axis labels.

  - ### Method Detail

    - #### values

          public static LayoutTarget[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayoutTarget c : LayoutTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayoutTarget valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.